Legend does not correspond to map content
Status: Closed

Priority: Low

Assignee: Martin Dobias

Category: Map Legend

Pull Request or Patch supplied:No Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 11655

Description

While loading large vector (postgis) data, it is possible to switch the layers off, while the data are beeing rendered.

The layer is than in the map, but according to legend, it should be turned off.

How to reproduce:

    -  Display large vector data layer

    -  While it is rendered, click at the layer checkbox - the layer is still rendered

    -  After the layer is rendered, in the legend, it is switched off, but it is in the map

History

#1 - 2009-07-10 06:22 AM - Giovanni Manghi

Ok I replicated it with Qgis 1.2 from trunk under Ubuntu 9.04, but in my opinion is not that annoying, in fact when you click again on the layer in the legend,

it switches on and it remains (as expected) in the map canvas.

Maybe is worth changing this ticket to enhancement?

#2 - 2009-08-05 01:19 AM - Giovanni Manghi

I'll change this to enhancement. Furthermore if the maps are not be rendered when added to the canvas, an option to do that exist in "options ->

rendering".

#3 - 2010-11-17 04:08 AM - Volker Fröhlich

This might be a relevant bug for future multi-thread rendering.

#4 - 2011-12-16 01:58 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#5 - 2012-04-15 10:11 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#6 - 2012-10-06 02:34 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#7 - 2014-02-27 11:22 PM - Martin Dobias

- Pull Request or Patch supplied set to No

- Status changed from Open to Closed
- Target version changed from Future Release - Nice to have to Version 2.4

- Resolution set to fixed/implemented

Fixed with the switch to multi-threaded rendering
